### Constructor

# Camel DataCache new

#### Declaration [src]

    CamelDataCache*
    camel_data_cache_new (
      const gchar* path,
      GError** error
    )

#### Description [src]

Create a new data cache.

#### Parameters

`path`

  Type: `const gchar*`

  Base path of cache, subdirectories will be created here.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CamelDataCache`

A new cache object, or `NULL` if the base path cannot be written to.

The caller of the function takes ownership of the data, and is responsible for freeing it.